Google Scholar プロフィールAPI
名前でGoogle Scholarの著者プロフィールを検索します。engine=google_scholar_profiles を設定し、mauthors に名前を渡すことで、一致する著者のID、所属機関、被引用数を含むリストを取得できます。
エンドポイント
Section titled “エンドポイント” GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
パラメーター
Section titled “パラメーター”| パラメーター | 型 | 必須 | 説明 |
|---|---|---|---|
api_key | string | はい | あなたのSERP APIキー |
engine | string | はい | google_scholar_profiles を指定する必要があります |
mauthors | string | はい | 検索対象の著者名 |
hl | string | いいえ | インターフェース言語コード |
after_author | string | いいえ | 次ページのトークン。before_author の値の後に続く必要があります |
before_author | string | いいえ | 前ページのトークン |
リクエスト例
Section titled “リクエスト例”curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"import requests
params = { "engine": "google_scholar_profiles", "api_key": "YOUR_API_KEY", "mauthors": "jake",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar_profiles', api_key: 'YOUR_API_KEY', mauthors: 'jake',});const data = await (await fetch(url)).json();レスポンス例
Section titled “レスポンス例”{ "search_parameters": { "engine": "google_scholar_profiles", "mauthors": "jake" }, "profiles": [ { "name": "Jake Smith", "author_id": "LSsXyncAAAAJ", "affiliations": "Professor of Computer Science, MIT", "email": "Verified email at mit.edu", "cited_by": 18200, "interests": [ { "title": "Artificial Intelligence" } ], "thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..." } ], "pagination": { "next_page_token": "...", "next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..." }}